View a markdown version of this page

PutWhatsAppBusinessPublicKey - AWS End User Messaging Social

PutWhatsAppBusinessPublicKey

Sets the business public key used to encrypt the data exchanged with the endpoint of a data exchange Flow.

Request Syntax

PUT /v1/whatsapp/business-public-key HTTP/1.1 Content-type: application/json { "businessPublicKey": "string", "kmsKeyArn": "string", "originationPhoneNumberId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

businessPublicKey

The PEM-encoded 2048-bit RSA public key to set. Mutually exclusive with kmsKeyArn.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 8192.

Required: No

kmsKeyArn

The ARN of a customer managed asymmetric RSA key in AWS KMS. Mutually exclusive with businessPublicKey.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: arn:aws[a-z-]*:kms:[a-z0-9-]+:[0-9]{12}:(key/.+|alias/.+)

Required: No

originationPhoneNumberId

The unique identifier of the phone number to associate with the business public key.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 115.

Pattern: .*(^phone-number-id-.*$)|(^arn:.*:phone-number-id/[0-9a-zA-Z]+$).*

Required: Yes

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedByMetaException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

DependencyException

Thrown when performing an action because a dependency would be broken.

HTTP Status Code: 502

InternalServiceException

The request processing has failed because of an unknown error, exception, or failure.

HTTP Status Code: 500

InvalidParametersException

One or more parameters provided to the action are not valid.

HTTP Status Code: 400

ResourceNotFoundException

The resource was not found.

HTTP Status Code: 404

ThrottledRequestException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request contains an invalid parameter value.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: